Articles
Get the Google indexing state of a published article
The indexing state the application shows on the article, from Sorank’s last
Search Console inspection of its URL. Never calls Google; state is
unknown until the URL was inspected. An article that is not published has
no indexing status (not_found).
GET
/
profiles
/
{profile_id}
/
articles
/
{id}
/
index-status
Error
A valid request URL is required to generate request examples{
"data": {
"article_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"state": "indexed",
"inspected_at": "2023-11-07T05:31:56Z",
"coverage_state": "<string>",
"indexing_state": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}Authorizations
OAuth2PersonalAPIKey
Path Parameters
⌘I
Error
A valid request URL is required to generate request examples{
"data": {
"article_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"state": "indexed",
"inspected_at": "2023-11-07T05:31:56Z",
"coverage_state": "<string>",
"indexing_state": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}
